<?php
# For security reasons, these lines should be
# included from a file above the web directory
define('FM_HOST', '127.0.0.1');
define('FM_FILE', 'Product Catalog');
define('FM_USER', 'esmith');
define('FM_PASS', 'm4rg0t');

# this is the include for the API for PHP
require_once ('FileMaker.php');

# instantiate a new FileMaker object
$fm = new FileMaker(FM_FILE, FM_HOST, FM_USER, FM_PASS);

# initialize message var for output below
$message = '';

# check the POST array to see what action to take
if (isset($_POST['action']) and $_POST['action'] == 'Save') {
  # edit the record
  $edit = $fm->newEditCommand('Inventory', $_REQUEST['recid']);
  $edit->setField('Location', $_POST['location']);
  $edit->setField('Quantity', $_POST['quantity']);
  $edit->execute();

  # update the message var for output below
  $message = '<p>Your changes have been saved</p>';
}

# make sure there is a product ID
if (empty($_REQUEST['recid'])) {
    die('The record id is missing.');
}

# get the selected record
$record = $fm->getRecordById('Inventory', $_REQUEST['recid']);

# set vars for output below
$location = $record->getField('Location');
$quantity = $record->getField('Quantity');
?>
<html>
  <head>
  <title>08_04</title>
  </head>
  <body>
  <?php echo $message; ?>
  <form action="08_04.php" method="post">
    <input type="hidden" name="recid" value="<?php echo $record->getRecordId(); ?>" />
    <table border="1">
      <tr>
        <th>Location</th>
        <td><input type="text" name="location" value="<?php echo $location; ?>" /></td>
      </tr>
      <tr>
        <th>Quantity</th>
        <td><input type="text" name="quantity" value="<?php echo $quantity; ?>" /></td>
      </tr>
    </table>
    <input type="submit" name="action" value="Save" />
  </form>
  </body>
</html>
