<?php
# For security reasons, these lines should be 
# included from a file above the web directory
define('FM_HOST', '127.0.0.1');
define('FM_FILE', 'Product Catalog');
define('FM_USER', 'esmith');
define('FM_PASS', 'm4rg0t');

# initialize message var for output below
$message = '';    

if (isset($_POST['action'])) {
    if ($_POST['action']=='Cancel') {
        # update the message var for output below
        $message = '<p>Action cancelled. Record was not created.</p>';
        
    } elseif ($_POST['action']=='Save') {
        # this is the include for the API for PHP
        require_once ('FileMaker.php');

        # instantiate a new FileMaker object
        $fm = new FileMaker(FM_FILE, FM_HOST, FM_USER, FM_PASS);
        
        # create the record
        $request = $fm->newAddCommand('Product');
        $request->setField('Name', $_POST['name']);
        $request->setField('Model Number', $_POST['model_number']);
        $request->setField('Price', $_POST['price']);
        $request->execute();
        
        # update the message var for output below
        $message = '<p>Record was created.</p>';
    }
}

?>
<html>
    <head>
        <title>07_02</title>
    </head>
    <body>
        <?php echo $message; ?>
        <form action="07_02.php" method="post">
            <table border="1">
                <tr>
                    <th>Name</th>
                    <td><input type="text" name="name" /></td>
                </tr>
                <tr>
                    <th>Model Number</th>
                    <td><input type="text" name="model_number" /></td>
                </tr>
                <tr>
                    <th>Price</th>
                    <td><input type="text" name="price" /></td>
                </tr>
            </table>
            <p>
                <input type="submit" name="action" value="Save" />
                <input type="submit" name="action" value="Cancel" />
            </p>
        </form>
    </body>
</html>
