<?php
# For security reasons, these lines should be
# included from a file above the web directory
define('FM_HOST', '127.0.0.1');
define('FM_FILE', 'Product Catalog');
define('FM_USER', 'esmith');
define('FM_PASS', 'm4rg0t');

# this is the include for the API for PHP
require_once ('FileMaker.php');

# instantiate a new FileMaker object
$fm = new FileMaker(FM_FILE, FM_HOST, FM_USER, FM_PASS);

# initialize message var for output below
$message = '';

# check the POST array to see what action to take
if (isset($_POST['action']) and $_POST['action'] == 'Save') {
  # edit the record
  $edit = $fm->newEditCommand('Product', $_REQUEST['recid']);
  $edit->setField('Name', $_POST['name']);
  $edit->setField('Model Number', $_POST['model_number']);
  $edit->setField('Price', $_POST['price']);
  $edit->execute();

  # update the message var for output below
  $message = '<p>Your changes have been saved</p>';
}

# make sure there is a product ID
if (empty($_REQUEST['recid'])) {
    die('The record id is missing.');
}

# get the selected record
$record = $fm->getRecordById('Product', $_REQUEST['recid']);

# set vars for output below
$id = $record->getField('ID');
$name = $record->getField('Name');
$model_number = $record->getField('Model Number');
$price = $record->getField('Price');
$modified_at = $record->getField('Modified At');
$modified_by = $record->getField('Modified By');
?>
<html>
  <head>
  <title>07_06</title>
  </head>
  <body>
  <?php echo $message; ?>
  <form action="07_06.php" method="post">
    <input type="hidden" name="recid" value="<?php echo $_REQUEST['recid']; ?>" />
    <table border="1">
      <tr>
        <th>ID</th>
        <td><?php echo $id; ?></td>
      </tr>
      <tr>
        <th>Name</th>
        <td><input type="text" name="name" value="<?php echo $name; ?>" /></td>
      </tr>
      <tr>
        <th>Model Number</th>
        <td><input type="text" name="model_number" value="<?php echo $model_number; ?>" /></td>
      </tr>
      <tr>
        <th>Price</th>
        <td><input type="text" name="price" value="<?php echo $price; ?>" /></td>
      </tr>
      <tr>
        <th>Modifed At</th>
        <td><?php echo $modified_at; ?></td>
      </tr>
      <tr>
        <th>Modifed By</th>
        <td><?php echo $modified_by; ?></td>
      </tr>
    </table>
    <input type="submit" name="action" value="Save" />
  </form>
  </body>
</html>
