<?php
# For security reasons, these lines should be
# included from a file above the web directory
define('FM_HOST', '127.0.0.1');
define('FM_FILE', 'Product Catalog');
define('FM_USER', 'esmith');
define('FM_PASS', 'm4rg0t');
# this is the include for the API for PHP
require_once ('FileMaker.php');
# instantiate a new FileMaker object
$fm = new FileMaker(FM_FILE, FM_HOST, FM_USER, FM_PASS);
# make sure there is a product ID
if (empty($_GET['recid'])) {
    die('The record id is missing.');
}
# get the record by its internal id
$record = $fm->getRecordById('Product', $_GET['recid']);
# set vars for output below
$id = $record->getField('ID');
$name = $record->getField('Name');
$model_number = $record->getField('Model Number');
$price = $record->getField('Price');
$created_at = $record->getField('Created At');
$created_by = $record->getField('Created By');
# grab records from portal as an array of record objects
$portal_records = $record->getRelatedSet('Inventory');
# start compiling the html for the portal table
$portal_html = '<table border="1">';
$portal_html.= '<tr>';
$portal_html.= '<th>Location</th>';
$portal_html.= '<th>Quantity</th>';
$portal_html.= '</tr>';
# loop through the array of portal record objects
foreach($portal_records as $portal_record) {
    $portal_html.= '<tr>';
    $portal_html.= '<td>' . $portal_record->getField('Inventory::Location') . '</td>';
    $portal_html.= '<td>' . $portal_record->getField('Inventory::Quantity') . '</td>';
    $portal_html.= '</tr>';
}
# close the html for the portal table
$portal_html.= '</table>';
?>
<html>
    <head>
        <title>08_01</title>
    </head>
    <body>
        <table border="1">
            <tr>
                <th>ID</th>
                <td><?php echo $id; ?></td>
            </tr>
            <tr>
                <th>Name</th>
                <td><?php echo $name; ?></td>
            </tr>
            <tr>
                <th>Model Number</th>
                <td><?php echo $model_number; ?></td>
            </tr>
            <tr>
                <th>Price</th>
                <td><?php echo $price; ?></td>
            </tr>
            <tr>
                <th>Created At</th>
                <td><?php echo $created_at; ?></td>
            </tr>
            <tr>
                <th>Created By</th>
                <td><?php echo $created_by; ?></td>
            </tr>
        </table>
        <?php echo $portal_html; ?>
    </body>
</html>
