<?php
# For security reasons, these lines should be 
# included from a file above the web directory
define( 'FM_HOST', '127.0.0.1' );
define( 'FM_FILE', 'Product Catalog' );
define( 'FM_USER', 'esmith' );
define( 'FM_PASS', 'm4rg0t' );

# this is the include for the API for PHP
require_once ('FileMaker.php');

# instantiate a new FileMaker object
$fm = new FileMaker(FM_FILE, FM_HOST, FM_USER, FM_PASS);

# make sure there is a product ID
if (empty($_REQUEST['recid'])) {
    die('The record id is missing.');
}

# get the selected record
$record = $fm->getRecordById('Inventory', $_REQUEST['recid']);

# check the POST array to see what action to take
if (empty($_POST['action'])) {
  # prompt user to confirm the delete
  $page_content = 'Are you sure you want to delete the '.$record->getField('Location').' inventory record?';
  $page_content .= '<form action="08_05.php" method="post">';
  $page_content .= '<input type="hidden" name="recid" value="'.$record->getRecordId().'" />';
  $page_content .= '<p>';
  $page_content .= '<input type="submit" name="action" value="Delete" />';
  $page_content .= '<input type="submit" name="action" value="Cancel" />';
  $page_content .= '</p>';
  $page_content .= '</form>';
} else {
  if ($_POST['action'] == 'Delete') {
    # delete the record
    $record->delete();
    $page_content = '<p>Record was deleted.</p>';
  } else {
    $page_content = '<p>Action cancelled. Record was not deleted.</p>';
  }
}
?>
<html>
  <head>
    <title>08_05</title>
  </head>
  <body>
<?php echo $page_content; ?>
  </body>
</html>
