<?php
# For security reasons, these lines should be
# included from a file above the web directory
define('FM_HOST', '127.0.0.1');
define('FM_FILE', 'Product Catalog');
define('FM_USER', 'esmith');
define('FM_PASS', 'm4rg0t');
# this is the include for the API for PHP
require_once ('FileMaker.php');
# instantiate a new FileMaker object
$fm = new FileMaker(FM_FILE, FM_HOST, FM_USER, FM_PASS);
# Make sure there is a product ID
if (empty($_REQUEST['recid'])) {
    die('The record id is missing.');
}
# check the POST array to see what action to take
if (isset($_POST['action']) and $_POST['action'] == 'Upload') {
    # set the destination directory for the image
    $image_directory = 'Images/';
    # set the temp and dest file names with paths
    $temporary_file = $_FILES['new_image']['tmp_name'];
    $destination_file = $image_directory . $_FILES['new_image']['name'];
    # move file to the images directory
    $result = move_uploaded_file($temporary_file, $destination_file);
    if ($result) {
        # build the Thumbnail URL
        $url = 'http://127.0.0.1/php_fmp_book/ch09/Examples/Images/' . $_FILES['new_image']['name'];
        # insert the URL into the product record
        $edit = $fm->newEditCommand('Product', $_REQUEST['recid']);
        $edit->setField('Thumbnail URL', $url);
        $edit->execute();
    } else {
        die('There was an error moving the file.');
    }
}
# get the selected record
$record = $fm->getRecordById('Product', $_REQUEST['recid']);
# set vars for output below
$recid = $record->getRecordId(); 
$thumbnail_url = $record->getField('Thumbnail URL');
if ( $thumbnail_url == '' ) {
  $thumbnail = '';
} else {
  $thumbnail = '<p><img src="' . $thumbnail_url . '" /></p>';
}
?>
<html>
  <head>
    <title>Upload Image</title>
  </head>
  <body>
    <!-- The data encoding type, enctype, MUST be specified as below -->
    <form action="upload_image.php" method="post" enctype="multipart/form-data">
      <input type="hidden" name="recid" value="<?php echo $recid; ?>" />
      Upload image: <input type="file" name="new_image" />
      <input type="submit" name="action" value="Upload" />
    </form>
    <?php echo $thumbnail; ?>
  </body>
</html>